org.apache.storm.metrics2.reporters

## Class ScheduledStormReporter

- java.lang.Object
- - org.apache.storm.metrics2.reporters.ScheduledStormReporter

- All Implemented Interfaces:
    com.codahale.metrics.Reporter, StormReporter
  Direct Known Subclasses:
    ConsoleStormReporter, CsvStormReporter, GraphiteStormReporter

      public abstract class ScheduledStormReporter
      extends Object
      implements StormReporter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.codahale.metrics.ScheduledReporter` | `reporter`
    `protected long` | `reportingPeriod`
    `protected TimeUnit` | `reportingPeriodUnit`

    - ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `REPORT_DIMENSIONS_ENABLED, REPORT_PERIOD, REPORT_PERIOD_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledStormReporter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StormMetricsFilter` | `getMetricsFilter(Map<String,Object> reporterConf)`
    `static long` | `getReportPeriod(Map<String,Object> reporterConf)`
    `static TimeUnit` | `getReportPeriodUnit(Map<String,Object> reporterConf)`
    `static boolean` | `isReportDimensionsEnabled(Map<String,Object> reporterConf)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `prepare, prepare`

- - ### Field Detail

    - #### reporter

          protected com.codahale.metrics.ScheduledReporter reporter

    - #### reportingPeriod

          protected long reportingPeriod

    - #### reportingPeriodUnit

          protected TimeUnit reportingPeriodUnit

  - ### Constructor Detail

    - #### ScheduledStormReporter

          public ScheduledStormReporter()

  - ### Method Detail

    - #### getReportPeriodUnit

          public static TimeUnit getReportPeriodUnit(Map<String,Object> reporterConf)

    - #### getReportPeriod

          public static long getReportPeriod(Map<String,Object> reporterConf)

    - #### isReportDimensionsEnabled

          public static boolean isReportDimensionsEnabled(Map<String,Object> reporterConf)

    - #### getMetricsFilter

          public static StormMetricsFilter getMetricsFilter(Map<String,Object> reporterConf)

    - #### start

          public void start()

      Specified by:
        `start` in interface `StormReporter`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `StormReporter`

Copyright © 2021 The Apache Software Foundation. All rights reserved.